package com.jasamedika.medifirst2000.service;

import com.jasamedika.medifirst2000.entities.Alamat;
import com.jasamedika.medifirst2000.vo.AlamatVO;

import java.util.List;

/**
 * Alamat Service
 * 
 * @author Roberto
 */
public interface AlamatService<T> extends BaseVoService<Alamat, AlamatVO, Integer> {

	List<AlamatVO> getAllAlamatForContoh();

	AlamatVO add(AlamatVO vo);

	AlamatVO update(AlamatVO vo);

	AlamatVO findById(Integer key);

	AlamatVO findByPasienId(Integer key);

	Alamat findByPasienId2(Integer key);
}
